#pragma once

#include "CoreMinimal.h"
#include "ItemAddon.h"
#include "K41Power_Addon_18.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UK41Power_Addon_18 : public UItemAddon
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _distanceForReveal;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _revealDuration;

public:
	UK41Power_Addon_18();
};

FORCEINLINE uint32 GetTypeHash(const UK41Power_Addon_18) { return 0; }
